
import javax.microedition.lcdui.*;
import javax.microedition.midlet.*;
import javax.microedition.rms.*;

public class Text extends MIDlet implements CommandListener{
    
    private TextBox editor;
    private Command view;    
private Command screen;

private Command backeditor;
    private Command save;
    private Command delete;
    private Command exit;
    private Display display;
    private RecordStore recordstore;
private String s;
private Form form;
    
   
    public void startApp() {
        editor = new TextBox("Notepad","",255,TextField.ANY);
        view = new Command("View",4,1);
        save = new Command("Save",4,2);
        delete = new Command("Delete",4,3);
     
        
screen = new Command("Screen",4,4);
backeditor = new Command("Back",4,5);
        exit = new Command("Exit",7,4);
        editor.addCommand(view);
        editor.addCommand(save);
        editor.addCommand(delete);
        editor.addCommand(exit);
        editor.addCommand(screen);
editor.setCommandListener(this);
        display = Display.getDisplay(this);
        display.setCurrent(editor);
    }
    
    
    public void pauseApp() {
    }
    
    public void destroyApp(boolean unconditional) {
        notifyDestroyed();
    }
    
    public void commandAction(Command command, Displayable displayable) {
       
if(command==screen){

String s=editor.getString();
Form form = new Form("");
display.setCurrent(form);
form.append(""+s);
form.addCommand(backeditor);
form.setCommandListener(this);



}
        if(command == view){
            viewRecord();
        }
        if(command == save){
            saveRecord();
        }
        if(command == delete){
            deleteRecord();
        }
        if(command == exit){
            destroyApp(false);
        }
    }
    
    private void viewRecord() {
        try {
            recordstore = RecordStore.openRecordStore("notepad",false);
            byte[] buff = recordstore.getRecord(1);
            String text = new String(buff);
            editor.setString(text);
            recordstore.closeRecordStore();
        } catch (RecordStoreException ex) {
            editor.setString("No Record!");
        }
    }
    
    private void saveRecord() {
        deleteRecord();
        try {
            String text = editor.getString();
            byte[] buff = text.getBytes();
            recordstore = RecordStore.openRecordStore("notepad",true);
            recordstore.addRecord(buff,0,buff.length);
            recordstore.closeRecordStore();
        } catch (RecordStoreException ex) {
        }
    }
    
    private void deleteRecord() {
        if(recordstore != null)
            try {
                recordstore.deleteRecordStore("notepad");
                recordstore = null;
            } catch (RecordStoreException ex) {
            }       
    } 
 }












